## org.eclipse.m2m.atl.core.ui
Class ATLConsole

    java.lang.Object
      org.eclipse.ui.console.AbstractConsole
          org.eclipse.ui.console.TextConsole
              org.eclipse.ui.console.IOConsole
                  org.eclipse.m2m.atl.core.ui.ATLConsole

All Implemented Interfaces:
  org.eclipse.ui.console.IConsole

    public final class ATLConsole

extends org.eclipse.ui.console.IOConsole

The ATL console plugin.

Method Summary
`static ATLConsole` `findConsole()` Find or create the ATLConsole.

Methods inherited from class org.eclipse.ui.console.IOConsole
`clearConsole, createPage, dispose, getEncoding, getHighWaterMark, getInputStream, getLowWaterMark, getPartitioner, newOutputStream, setWaterMarks`

Methods inherited from class org.eclipse.ui.console.TextConsole
`addHyperlink, addPatternMatchListener, getAttribute, getBackground, getConsoleWidth, getDocument, getFont, getHyperlink, getHyperlinks, getRegion, getSchedulingRule, getTabWidth, matcherFinished, partitionerFinished, removePatternMatchListener, setAttribute, setBackgrond, setBackground, setConsoleWidth, setFont, setTabWidth`

Methods inherited from class org.eclipse.ui.console.AbstractConsole
`activate, addPropertyChangeListener, destroy, firePropertyChange, getHelpContextId, getImageDescriptor, getName, getType, init, initialize, removePropertyChangeListener, setImageDescriptor, setName, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### findConsole

    public static ATLConsole findConsole()

  Find or create the ATLConsole.

  Returns:
    the ATLConsole

Copyright 2007 IBM Corporation and others. All Rights Reserved.